import request from '@/utils/request'

// 查询关键字列表
export function listChatKeyword(query) {
  return request({
    url: '/chat/chatKeyword/list',
    method: 'get',
    params: query
  })
}

// 查询关键字详细
export function getChatKeyword(keywordId) {
  return request({
    url: '/chat/chatKeyword/' + keywordId,
    method: 'get'
  })
}

// 新增关键字
export function addChatKeyword(data) {
  return request({
    url: '/chat/chatKeyword',
    method: 'post',
    data: data
  })
}

// 修改关键字
export function updateChatKeyword(data) {
  return request({
    url: '/chat/chatKeyword',
    method: 'put',
    data: data
  })
}

// 删除关键字
export function delChatKeyword(keywordId) {
  return request({
    url: '/chat/chatKeyword/' + keywordId,
    method: 'delete'
  })
}

// 导出关键字
export function exportChatKeyword(query) {
  return request({
    url: '/chat/chatKeyword/export',
    method: 'get',
    params: query
  })
}
